Dobrodošli na FOSS Srbija

Free and Opensource Srbija je skup entuzijasta i ljubitelja slobodnog i otvorenog koda. Cilj nam je okupiti sve istomišljenike na jednom mestu i stvoriti najveći globalni OpenSource projekat u Srbiji i šire!

  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Debian Rešeno Posle instalcije sistema wireless problem s Network Manager

Discussion in 'Debian, LinuxMint, Ubuntu' started by Ladislav, 19.12.2017.

  1. joytoy

    Korisnik

    Joined:
    28.10.2017
    Messages:
    54
    Likes Received:
    62
    Okruženje:
    KDE 5
    Sistem:
    Kubuntu
    U pravu si, jeste, to ja i rekoh gore. Kad je prvi aktivan, drugi samog sebe onemogućuje, i obrnuto. Ali posedovanje oba u isto vreme nije problem. :D Nadam se da me niste pogrešno razumeli.
     
    Collapse Signature Expand Signature
  2. Tanja

    Korisnik

    Joined:
    19.03.2013
    Messages:
    645
    Likes Received:
    494
    Okruženje:
    XFCE
    Sistem:
    Debian
    Da, ali mislim da kad se instalira wicd da on automatski "preuzme" uređivanje network-a, tako da NM ostaje "mrtav"... verovatno ima neko podešavanje koji uređivač ima prednost, ali logično je da ti je onda onaj drugi višak, te zato u većini uputstava imaš da nakon instalacije i uspostavljanja novog network manager-a brišeš onaj stari...

    Meni se jednom desilo (i to nedavno, letos od prilike) da mi se NM uopšte nije u potpunosti instalirao kad sam išla na net instalaciju preko wifi-a... naprosto nešto je pobrljavio i morala sam preko rescue mod-a da instaliram wicd...

    Evo još jedan link sa sličnim problemom... doduše, odgovori su stari godinu dana, ali možda mogu da pomognu:
    Network Manager doesn't show Wireless connection
     
  3. Ladislav

    Korisnik

    Joined:
    30.06.2015
    Messages:
    415
    Likes Received:
    435
    Location:
    Sombor
    Okruženje:
    XFCE
    Sistem:
    TRIOS
    bojim se da je kod mene kontra problem, stari adapter/kartica a novi kernel. Mada me buni što kad Jessie -kernel 3.16 upgradim na Stretch-kernel 4.9 wifi radi s NM.

    Sada nisam, pokušavao jesam negde u septembru kad sam počeo koristiti Debian, ali nisam uspeo. Nastavio sam koristiti Jessie -kernel 3.16.

    Radili meni u paru bez problema u septembru, a i pre na TRIOS -u , a i sad dok nisam nešto zeznuo wicd s instal/remove.


    Pogledaću ovo rešenje za NM, ako ne uspem mislim da ću pre rešiti problem s wicd koji sam sad napravio, nego naći odgovarajući driver od Ralinka za Stretch.
    A i uvek mi ostaje mogućnost inatalacije Jessie pa upgrade na Stretch , kao što mi i radi drugi OS na drugom HDD :)
     
  4. Ladislav

    Korisnik

    Joined:
    30.06.2015
    Messages:
    415
    Likes Received:
    435
    Location:
    Sombor
    Okruženje:
    XFCE
    Sistem:
    TRIOS
    hvala kolegce na trudu, ali upgrade mi lakše ide nego downgrade :)
    Treba mi pomoć kako se to radi:
    Code:
    Steps to downgrade were:
    
    sudo dpkg -i /var/cache/apt/archives/network-manager_1.2.4-2_amd64.deb
    sudo sudo dpkg -i /var/cache/apt/archives/network-manager-
    gnome_1.2.4-1_amd64.deb
     
  5. Tanja

    Korisnik

    Joined:
    19.03.2013
    Messages:
    645
    Likes Received:
    494
    Okruženje:
    XFCE
    Sistem:
    Debian
    Ako se ne varam, komanda:
    Code:
    sudo update-initramfs -u -v
    bi trebalo da apdejtuje sve drajvere i da ti prikaže ako negde nešto fali...
    Firmware-ralink u Stretch-u više ne postoji kao takav, već je deo paketa firmware-misc-nonfree, pa tako to probaj da reinstaliraš.

    Edit, poslala sam poruku pre nego sam videla tvoju...
    Ne znam šta tačno želiš, ali ako radi upgrade sa Jessie na Stretch, i Stretch bi trebalo da radi direktno instaliran, samo što negde nešto nije instalirano...
    Proveri na tom drugom računaru šta će ti izbaciti kad ideš na
    Code:
    sudo apt update
    Odnosno, moralo bi da prikaže da ima ne upgrade-ovanih paketa, pa onda vidi šta je to "ostalo" od jessie...
     
    #25 Tanja, 19.12.2017
    Last edited: 19.12.2017
  6. Ladislav

    Korisnik

    Joined:
    30.06.2015
    Messages:
    415
    Likes Received:
    435
    Location:
    Sombor
    Okruženje:
    XFCE
    Sistem:
    TRIOS
    izgleda smo postovali u ist vreme :)
     
  7. Tanja

    Korisnik

    Joined:
    19.03.2013
    Messages:
    645
    Likes Received:
    494
    Okruženje:
    XFCE
    Sistem:
    Debian
    Ja moram da te pitam jedno tupavo pitanje, ali da proverim za svaki slučaj, koji instaler si koristio? Tj. da li si preuzeo onaj sa nonfree firmware-ovima, ili "običan"?
     
  8. Ladislav

    Korisnik

    Joined:
    30.06.2015
    Messages:
    415
    Likes Received:
    435
    Location:
    Sombor
    Okruženje:
    XFCE
    Sistem:
    TRIOS
    instaler fimware non-free. I jessie instaliram s firmware non-free.
    Uzgred oba su mi OS-a na istom racunaru samo na različitim HDD.
     
  9. Tanja

    Korisnik

    Joined:
    19.03.2013
    Messages:
    645
    Likes Received:
    494
    Okruženje:
    XFCE
    Sistem:
    Debian
    OK
    Drajver je definitivno iz paketa firmware-misc-nonfree, probaj da uradiš reinstall.

    Onda,
    ako hoćeš da koristiš wicd reinstaliraj i njega, restaruj komp, vidi da li radi, pa NM obriši u potpunosti:
    Code:
    sudo apt purge network-manager-gnome
    ako hoćeš ipak da probaš NM, onda njega (re)instaliraj, restartuj komp, proveri da li ti radi NM (bar na "žici") da ne bi ostao bez neta, pa ukloni wicd u potpunosti
    Code:
    sudo apt purge wicd
    Edit xy:
    Dobro proveri da ne ostaneš bez interneta :D
     
    #29 Tanja, 20.12.2017
    Last edited: 20.12.2017
  10. Ladislav

    Korisnik

    Joined:
    30.06.2015
    Messages:
    415
    Likes Received:
    435
    Location:
    Sombor
    Okruženje:
    XFCE
    Sistem:
    TRIOS
    probao sam to u septembru a i danas, nije urodilo plodom.
    jedino još da probam downgrade NM, samo ne znam postupak.
     
  11. Tanja

    Korisnik

    Joined:
    19.03.2013
    Messages:
    645
    Likes Received:
    494
    Okruženje:
    XFCE
    Sistem:
    Debian
    Nisam nikad radila downgrade, ali bih pokušala na sledeći način:
    Potpuno ukoniš taj postojeći NM, pa skineš verziju za jessie:
    Debian -- Details of package network-manager-gnome in jessie
    i da je onda instaliraš preko gdebi-ja...
    Druga varijanta je da dodaš jessie repo pa sa njega da instaliraš network-manager-gnome...

    PS... prva varijanta ti neće proći, nisu zavisnosti rešene...

    Opet edit:
    Daj vidi koja verzija network-manager-gnome ti je na tom drugom HDD-u... naprosto mi je nemoguće da si uradio upgrade sa Jessie na Stretch, a da je ostala neka starija verzija NM-a.
     
    #31 Tanja, 20.12.2017
    Last edited: 20.12.2017
  12. Ladislav

    Korisnik

    Joined:
    30.06.2015
    Messages:
    415
    Likes Received:
    435
    Location:
    Sombor
    Okruženje:
    XFCE
    Sistem:
    TRIOS
    hvala na trudu, sutra ću se pozabaviti s NM i wicd :)

    PS a naši postovi... deda šumom, baba drumom ... ko to isprati, skidam kapu :D
     
  13. Dragan

    Staff Member

    Joined:
    13.01.2012
    Messages:
    7,246
    Likes Received:
    4,817
    Location:
    jóhonaaʼéí
    Okruženje:
    XFCE
    Sistem:
    TRIOS
    Kada radiš downgrade, zavisnosti obično nisu problem, osim u slučaju kada se radi o paketima koji više ne postoje u novijoj verziji.
    Koliko vidim, kod NM to nije slučaj..
     
  14. Ladislav

    Korisnik

    Joined:
    30.06.2015
    Messages:
    415
    Likes Received:
    435
    Location:
    Sombor
    Okruženje:
    XFCE
    Sistem:
    TRIOS
    A ne ovo je čist Stretch , a NM je 1.6.2 -3 a Gnome-NM 1.4.4
     
  15. Dragan

    Staff Member

    Joined:
    13.01.2012
    Messages:
    7,246
    Likes Received:
    4,817
    Location:
    jóhonaaʼéí
    Okruženje:
    XFCE
    Sistem:
    TRIOS
    1) jessie-NM zavisnosti:
    Depends: ${shlibs: depends},
    ${misc: depends},
    lsb-base (>= 3.2-14),
    wpasupplicant (>= 0.7.3-1),
    dbus (>= 1.1.2),
    udev,
    adduser,
    isc-dhcp-client (>= 4.1.1-P1-4),
    libpam-systemd,
    policykit-1

    2) Stretch-NM zavisnosti:
    Depends: ${shlibs: depends},
    ${misc: depends},
    lsb-base (>= 3.2-14),
    wpasupplicant (>= 0.7.3-1),
    dbus (>= 1.1.2),
    udev,
    adduser,
    libpam-systemd,
    policykit-1
     
  16. Dragan

    Staff Member

    Joined:
    13.01.2012
    Messages:
    7,246
    Likes Received:
    4,817
    Location:
    jóhonaaʼéí
    Okruženje:
    XFCE
    Sistem:
    TRIOS
    Sada poredim...moguće da je nedostajući isc-dhcp-client u stretch verziji NM uzrok problema?
     
  17. Dragan

    Staff Member

    Joined:
    13.01.2012
    Messages:
    7,246
    Likes Received:
    4,817
    Location:
    jóhonaaʼéí
    Okruženje:
    XFCE
    Sistem:
    TRIOS
    @Ladislav
    ajde proveri da li ti je instaliran isc-dhcp-client
    Code:
    apt-cache policy isc-dhcp-client
    
     
  18. Ladislav

    Korisnik

    Joined:
    30.06.2015
    Messages:
    415
    Likes Received:
    435
    Location:
    Sombor
    Okruženje:
    XFCE
    Sistem:
    TRIOS
    vratio sam se s TRIOS, sad ću da pregledam

    Code:
    root@deb-pc:/home/fish105# apt-cache policy isc-dhcp-client
    isc-dhcp-client:
      Installed: 4.3.5-3
      Candidate: 4.3.5-3
      Version table:
    *** 4.3.5-3 500
            500 http://deb.debian.org/debian stretch/main amd64 Packages
            100 /var/lib/dpkg/status
    root@deb-pc:/home/fish105#
    
     
  19. Dragan

    Staff Member

    Joined:
    13.01.2012
    Messages:
    7,246
    Likes Received:
    4,817
    Location:
    jóhonaaʼéí
    Okruženje:
    XFCE
    Sistem:
    TRIOS
    Onda nije on problem...taj NM je poprilično nestabilno đubre, koje nažalost mora da se trpi zbog mnogih delova koji zavise od njega, gnome npr...
     
    Tanja likes this.
  20. Ladislav

    Korisnik

    Joined:
    30.06.2015
    Messages:
    415
    Likes Received:
    435
    Location:
    Sombor
    Okruženje:
    XFCE
    Sistem:
    TRIOS